> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/contacts-api/api-reference/manage-contact-identifiers/create-contact-identifier.md).

# Create contact identifier

{% openapi src="<https://global--openapi-specs--151603429280--use1.s3.us-east-1.amazonaws.com/joined-specs/openapi.yml>" path="/workspaces/{workspaceId}/contacts/{contactId}/identifiers" method="post" %}
<https://global--openapi-specs--151603429280--use1.s3.us-east-1.amazonaws.com/joined-specs/openapi.yml>
{% endopenapi %}

## Examples

Let's establish some of our data that will be used in the following examples:

* **Workspace ID**: a1405560-c8d3-4b1a-877d-3f449ad95352
* **AccessKey:** abcd
* **Contact ID**: 12bd0e40-9361-4e32-8b26-99b4ab7eae09

### Create an identifier without properties

In this example, we're creating an identifier without custom properties.

{% tabs %}
{% tab title="Request" %}

```bash
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/contacts/12bd0e40-9361-4e32-8b26-99b4ab7eae09/identifiers" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "key": "emailaddress",
  "value": "contacts@bird.com"
}'
```

{% endtab %}

{% tab title="Response (200 OK)" %}

```json
{
  "contactId": "12bd0e40-9361-4e32-8b26-99b4ab7eae09",
  "key": "emailaddress", 
  "value": "contacts@bird.com",
  "properties": {
    "isGmail": true
  },
  "createdAt": "2024-11-26T15:00:00.000Z"
}
```

{% endtab %}
{% endtabs %}

### Create an identifier with properties

In this example, we're creating an identifier with custom properties.

{% tabs %}
{% tab title="Request" %}

<pre class="language-bash"><code class="lang-bash">curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/contacts/12bd0e40-9361-4e32-8b26-99b4ab7eae09/identifiers" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
<strong>-d '{
</strong>  "key": "emailaddress",
  "value": "contacts@bird.com",
  "properties": {
    "isGmail": true
  }
}'
</code></pre>

{% endtab %}

{% tab title="Response (200 OK)" %}

```json
{
  "contactId": "12bd0e40-9361-4e32-8b26-99b4ab7eae09",
  "key": "emailaddress", 
  "value": "contacts@bird.com",
  "properties": {
    "isGmail": true
  },
  "createdAt": "2024-11-26T15:00:00.000Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/contacts-api/api-reference/manage-contact-identifiers/create-contact-identifier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
